URL Groups
Get a URL Group
Retrieve details of a specific URL Group
GET/v2/topics/{urlGroupName}
cURL
curl --request GET \
--url https://qstash-{region}.upstash.io/v2/topics/{urlGroupName} \
--header 'Authorization: Bearer <token>'200Response
{
"name": "<string>",
"createdAt": 123,
"updatedAt": 123,
"endpoints": [
{
"name": "<string>",
"url": "<string>"
}
]
}Authorization
Authorizationheaderstringrequired
Bearer authentication header of the form Bearer <token>.
Path parameters
urlGroupNamepathstringrequired
The name of the URL Group to retrieve.
Response
200
namestring
URL Group name
createdAtinteger
Creation timestamp of URL Group in Unix milliseconds
updatedAtinteger
Last update timestamp of URL Group in Unix milliseconds
endpointsobject[]
404 — URL Group not found
errorstringrequired
Error message